/// <reference types="react" />
import { ErrorResource } from './FormWrapper';
export type FormContextType = {
    getError: (key?: keyof ErrorResource) => undefined | ErrorResource | any;
    changeError: (error: undefined | ErrorResource) => void;
};
export declare const FormContext: import("react").Context<FormContextType>;
export default function useForm(): FormContextType;
