import React, { MouseEvent } from 'react';
export type BreadCrumbType = {
    link: string;
    text: string;
};
export type PageWrapperProps = React.PropsWithChildren & {
    title: string;
    breadCrumb?: BreadCrumbType[];
    breadCrumbOnClick?: (e: MouseEvent<HTMLAnchorElement>, item: BreadCrumbType) => void;
};
export default function PageWrapper(props: PageWrapperProps): JSX.Element;
